Subject: Re: bug#67611: [PATCH] Add a Pcase pattern `cl-lambda` equivalent to `cl-destructuring-bind`

From: Richard Stallman <[email-masked]>
Date: Wed, 07 Feb 2024 22:49:01 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Could you tell me more concretely what this proposed feature would
  > > look like in use?  Perhaps with an example including context?

  > Many examples in the patch, have you looked?

I would not think of looking at a patch to code I don't understand.
To try to read and understand such a patch would be doing it the hard
way, and not wise.  Instead I asked you to send me examples so I could
get that information the easy way.

The examples in your patch could have done it if you had send me those
examples separatrly.  It's far more helpful to send an example than to
say, "Look through the patch for some."

  > (pcase some-mistery-object
  >    ((cl-arglist (42 &key a b c))  ; this proposal
  >     (message "Oh, it starts it 42 and has c=%s" c))
  >    (`(,_ ,x ,_)
  >     (message "Boring three-element list with middle %s" x))
  >    (`[,_ ,x ,_]
  >     (message "Fancy vector with middle %s" x))
  >    ((franklinboing (nixneez)) ; my data-structure
  >     (message "This franklinboing has some nice nixneez %s=" nizneez)))

Thanks.  Now I understand what your extension would be.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)